%define	major 2
%define libname	%mklibname sgutils %{major}
%define develname %mklibname sgutils -d

Summary:	Utils for Linux's SCSI generic driver devices + raw devices
Name:		sg3_utils
Version:	1.30
Release:	%mkrel 1
License:	GPL+
Group:		System/Kernel and hardware
URL:		http://sg.danny.cz/sg/sg3_utils.html
Source0:	http://sg.danny.cz/sg/p/%{name}-%{version}.tar.bz2
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Collection of tools for SCSI devices that use the Linux SCSI
generic (sg) interface. Includes utilities to copy data based on
"dd" syntax and semantics (called sg_dd, sgp_dd and sgm_dd); check
INQUIRY data and associated pages (sg_inq); check mode and log
pages (sg_modes and sg_logs); spin up and down disks (sg_start);
do self tests (sg_senddiag); and various other functions. See the
README and CHANGELOG files. Requires the lk 2.4 series or better.
[In the lk 2.5 development series many of these utilities can be
used on the primary block device name (e.g. /dev/sda).]

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%package -n %{develname}
Summary:	Static library and header files for the sgutils library
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libsgutils-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{develname}
This package contains the static sgutils library and its header
files.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_sbindir}
%make

%install
rm -rf %{buildroot}

%makeinstall_std 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog COVERAGE CREDITS README README.sg_start
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/scsi/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Thu Jan 13 2011 pterjan <pterjan> 1.30-1.mga1
+ Revision: 16447
- Drop obsolete Obsoletes and scriptlets
- imported package sg3_utils


* Tue Nov 30 2010 Thierry Vignaud <tv@mandriva.org> 1.30-1mdv2011.0
+ Revision: 603554
- new release

* Sat Apr 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.29-1mdv2010.1
+ Revision: 533563
- update to new version 1.29

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.28-1mdv2010.1
+ Revision: 462521
- update to new version 1.28

* Tue May 12 2009 Thierry Vignaud <tv@mandriva.org> 1.27-1mdv2010.0
+ Revision: 374906
- new release
- new url

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.26-1mdv2009.0
+ Revision: 232085
- bump major
- update to new version 1.26

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.25-1mdv2009.0
+ Revision: 200508
- new version
- new license policy
- spec file clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.23-1mdv2008.1
+ Revision: 127210
- kill re-definition of %%buildroot on Pixel's request


* Thu Feb 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.23-1mdv2007.0
+ Revision: 121474
- new release

* Thu Dec 14 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22-1mdv2007.1
+ Revision: 97098
- 1.22
  don't duplicate CFLAGS
- Import sg3_utils

* Wed Aug 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.21-2mdv2007.0
- Add BuildRequires

* Sat Jul 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.21-1mdk
- 1.21

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.20-1mdk
- new release

* Fri Feb 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.19-1mdk
- new release

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.16-1mdk
- new release

* Tue Jun 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.15-1mdk
- 1.15
- dropped P0, it's implemented upstream

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.13-1mdk
- 1.13

* Tue Nov 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11-1mdk
- 1.11
- added P0
- misc spec file fixes

* Sun Aug 29 2004 Franck Villaume <fvill@freesurf.fr> 1.08-1mdk
- 1.08

